diff -ur firefox-101.0.1.orig/third_party/libwebrtc/api/audio_codecs/opus/audio_encoder_opus_gn/moz.build firefox-101.0.1/third_party/libwebrtc/api/audio_codecs/opus/audio_encoder_opus_gn/moz.build
--- third_party/libwebrtc/api/audio_codecs/opus/audio_encoder_opus_gn/moz.build	2022-06-08 23:10:31.000000000 +0900
_+++ third_party/libwebrtc/api/audio_codecs/opus/audio_encoder_opus_gn/moz.build	2022-06-12 05:56:24.428007384 +0900
@@ -68,14 +68,17 @@
     DEFINES["__STDC_CONSTANT_MACROS"] = True
     DEFINES["__STDC_FORMAT_MACROS"] = True
 
-if CONFIG["OS_TARGET"] == "Linux":
+if CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD":
 
     DEFINES["USE_AURA"] = "1"
     DEFINES["USE_GLIB"] = "1"
     DEFINES["USE_NSS_CERTS"] = "1"
     DEFINES["USE_OZONE"] = "1"
     DEFINES["USE_UDEV"] = True
-    DEFINES["WEBRTC_LINUX"] = True
+    if CONFIG["OS_TARGET"] == "Linux":
+        DEFINES["WEBRTC_LINUX"] = True
+    else:
+        DEFINES["WEBRTC_BSD"] = True
     DEFINES["WEBRTC_POSIX"] = True
     DEFINES["_FILE_OFFSET_BITS"] = "64"
     DEFINES["_GNU_SOURCE"] = True
@@ -160,7 +163,7 @@
 
     DEFINES["_FORTIFY_SOURCE"] = "2"
 
-if not CONFIG["MOZ_DEBUG"] and CONFIG["OS_TARGET"] == "Linux":
+if not CONFIG["MOZ_DEBUG"] and (CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD"):
 
     DEFINES["_FORTIFY_SOURCE"] = "2"
 
@@ -176,7 +179,7 @@
 
     DEFINES["_DEBUG"] = True
 
-if CONFIG["MOZ_DEBUG"] == "1" and CONFIG["OS_TARGET"] == "Linux":
+if CONFIG["MOZ_DEBUG"] == "1" and (CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD"):
 
     DEFINES["_DEBUG"] = True
 
@@ -218,4 +221,13 @@
 
     DEFINES["CR_SYSROOT_HASH"] = "5f64b417e1018dcf8fcc81dc2714e0f264b9b911"
 
+if CONFIG["CPU_ARCH"] == "x86":
+    CFLAGS += [
+        "-msse2"
+    ]
+
+    CXXFLAGS += [
+        "-msse2"
+    ]
+
 Library("audio_encoder_opus_gn")
diff -ur firefox-101.0.1.orig/third_party/libwebrtc/api/audio_options_api_gn/moz.build firefox-101.0.1/third_party/libwebrtc/api/audio_options_api_gn/moz.build
--- third_party/libwebrtc/api/audio_options_api_gn/moz.build	2022-06-08 23:10:31.000000000 +0900
_+++ third_party/libwebrtc/api/audio_options_api_gn/moz.build	2022-06-12 05:56:24.364324910 +0900
@@ -67,14 +67,17 @@
     DEFINES["__STDC_CONSTANT_MACROS"] = True
     DEFINES["__STDC_FORMAT_MACROS"] = True
 
-if CONFIG["OS_TARGET"] == "Linux":
+if CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD":
 
     DEFINES["USE_AURA"] = "1"
     DEFINES["USE_GLIB"] = "1"
     DEFINES["USE_NSS_CERTS"] = "1"
     DEFINES["USE_OZONE"] = "1"
     DEFINES["USE_UDEV"] = True
-    DEFINES["WEBRTC_LINUX"] = True
+    if CONFIG["OS_TARGET"] == "Linux":
+        DEFINES["WEBRTC_LINUX"] = True
+    else:
+        DEFINES["WEBRTC_BSD"] = True
     DEFINES["WEBRTC_POSIX"] = True
     DEFINES["_FILE_OFFSET_BITS"] = "64"
     DEFINES["_GNU_SOURCE"] = True
@@ -148,7 +151,7 @@
 
     DEFINES["_FORTIFY_SOURCE"] = "2"
 
-if not CONFIG["MOZ_DEBUG"] and CONFIG["OS_TARGET"] == "Linux":
+if not CONFIG["MOZ_DEBUG"] and (CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD"):
 
     DEFINES["_FORTIFY_SOURCE"] = "2"
 
@@ -164,7 +167,7 @@
 
     DEFINES["_DEBUG"] = True
 
-if CONFIG["MOZ_DEBUG"] == "1" and CONFIG["OS_TARGET"] == "Linux":
+if CONFIG["MOZ_DEBUG"] == "1" and (CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD"):
 
     DEFINES["_DEBUG"] = True
 
@@ -206,4 +209,13 @@
 
     DEFINES["CR_SYSROOT_HASH"] = "5f64b417e1018dcf8fcc81dc2714e0f264b9b911"
 
+if CONFIG["CPU_ARCH"] == "x86":
+    CFLAGS += [
+        "-msse2"
+    ]
+
+    CXXFLAGS += [
+        "-msse2"
+    ]
+
 Library("audio_options_api_gn")
diff -ur firefox-101.0.1.orig/third_party/libwebrtc/api/bitrate_allocation_gn/moz.build firefox-101.0.1/third_party/libwebrtc/api/bitrate_allocation_gn/moz.build
--- third_party/libwebrtc/api/bitrate_allocation_gn/moz.build	2022-06-08 23:10:31.000000000 +0900
_+++ third_party/libwebrtc/api/bitrate_allocation_gn/moz.build	2022-06-12 05:56:24.395533010 +0900
@@ -63,14 +63,17 @@
     DEFINES["__STDC_CONSTANT_MACROS"] = True
     DEFINES["__STDC_FORMAT_MACROS"] = True
 
-if CONFIG["OS_TARGET"] == "Linux":
+if CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD":
 
     DEFINES["USE_AURA"] = "1"
     DEFINES["USE_GLIB"] = "1"
     DEFINES["USE_NSS_CERTS"] = "1"
     DEFINES["USE_OZONE"] = "1"
     DEFINES["USE_UDEV"] = True
-    DEFINES["WEBRTC_LINUX"] = True
+    if CONFIG["OS_TARGET"] == "Linux":
+        DEFINES["WEBRTC_LINUX"] = True
+    else:
+        DEFINES["WEBRTC_BSD"] = True
     DEFINES["WEBRTC_POSIX"] = True
     DEFINES["_FILE_OFFSET_BITS"] = "64"
     DEFINES["_GNU_SOURCE"] = True
@@ -140,7 +143,7 @@
 
     DEFINES["_FORTIFY_SOURCE"] = "2"
 
-if not CONFIG["MOZ_DEBUG"] and CONFIG["OS_TARGET"] == "Linux":
+if not CONFIG["MOZ_DEBUG"] and (CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD"):
 
     DEFINES["_FORTIFY_SOURCE"] = "2"
 
@@ -156,7 +159,7 @@
 
     DEFINES["_DEBUG"] = True
 
-if CONFIG["MOZ_DEBUG"] == "1" and CONFIG["OS_TARGET"] == "Linux":
+if CONFIG["MOZ_DEBUG"] == "1" and (CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD"):
 
     DEFINES["_DEBUG"] = True
 
@@ -190,4 +193,13 @@
 
     DEFINES["CR_SYSROOT_HASH"] = "5f64b417e1018dcf8fcc81dc2714e0f264b9b911"
 
+if CONFIG["CPU_ARCH"] == "x86":
+    CFLAGS += [
+        "-msse2"
+    ]
+
+    CXXFLAGS += [
+        "-msse2"
+    ]
+
 Library("bitrate_allocation_gn")
diff -ur firefox-101.0.1.orig/third_party/libwebrtc/api/call_api_gn/moz.build firefox-101.0.1/third_party/libwebrtc/api/call_api_gn/moz.build
--- third_party/libwebrtc/api/call_api_gn/moz.build	2022-06-08 23:10:31.000000000 +0900
_+++ third_party/libwebrtc/api/call_api_gn/moz.build	2022-06-12 05:56:24.374370026 +0900
@@ -59,14 +59,17 @@
     DEFINES["__STDC_CONSTANT_MACROS"] = True
     DEFINES["__STDC_FORMAT_MACROS"] = True
 
-if CONFIG["OS_TARGET"] == "Linux":
+if CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD":
 
     DEFINES["USE_AURA"] = "1"
     DEFINES["USE_GLIB"] = "1"
     DEFINES["USE_NSS_CERTS"] = "1"
     DEFINES["USE_OZONE"] = "1"
     DEFINES["USE_UDEV"] = True
-    DEFINES["WEBRTC_LINUX"] = True
+    if CONFIG["OS_TARGET"] == "Linux":
+        DEFINES["WEBRTC_LINUX"] = True
+    else:
+        DEFINES["WEBRTC_BSD"] = True
     DEFINES["WEBRTC_POSIX"] = True
     DEFINES["_FILE_OFFSET_BITS"] = "64"
     DEFINES["_GNU_SOURCE"] = True
@@ -136,7 +139,7 @@
 
     DEFINES["_FORTIFY_SOURCE"] = "2"
 
-if not CONFIG["MOZ_DEBUG"] and CONFIG["OS_TARGET"] == "Linux":
+if not CONFIG["MOZ_DEBUG"] and (CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD"):
 
     DEFINES["_FORTIFY_SOURCE"] = "2"
 
@@ -152,7 +155,7 @@
 
     DEFINES["_DEBUG"] = True
 
-if CONFIG["MOZ_DEBUG"] == "1" and CONFIG["OS_TARGET"] == "Linux":
+if CONFIG["MOZ_DEBUG"] == "1" and (CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD"):
 
     DEFINES["_DEBUG"] = True
 
@@ -186,4 +189,13 @@
 
     DEFINES["CR_SYSROOT_HASH"] = "5f64b417e1018dcf8fcc81dc2714e0f264b9b911"
 
+if CONFIG["CPU_ARCH"] == "x86":
+    CFLAGS += [
+        "-msse2"
+    ]
+
+    CXXFLAGS += [
+        "-msse2"
+    ]
+
 Library("call_api_gn")
diff -ur firefox-101.0.1.orig/third_party/libwebrtc/api/callfactory_api_gn/moz.build firefox-101.0.1/third_party/libwebrtc/api/callfactory_api_gn/moz.build
--- third_party/libwebrtc/api/callfactory_api_gn/moz.build	2022-06-08 23:10:31.000000000 +0900
_+++ third_party/libwebrtc/api/callfactory_api_gn/moz.build	2022-06-12 05:56:24.357205106 +0900
@@ -59,14 +59,17 @@
     DEFINES["__STDC_CONSTANT_MACROS"] = True
     DEFINES["__STDC_FORMAT_MACROS"] = True
 
-if CONFIG["OS_TARGET"] == "Linux":
+if CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD":
 
     DEFINES["USE_AURA"] = "1"
     DEFINES["USE_GLIB"] = "1"
     DEFINES["USE_NSS_CERTS"] = "1"
     DEFINES["USE_OZONE"] = "1"
     DEFINES["USE_UDEV"] = True
-    DEFINES["WEBRTC_LINUX"] = True
+    if CONFIG["OS_TARGET"] == "Linux":
+        DEFINES["WEBRTC_LINUX"] = True
+    else:
+        DEFINES["WEBRTC_BSD"] = True
     DEFINES["WEBRTC_POSIX"] = True
     DEFINES["_FILE_OFFSET_BITS"] = "64"
     DEFINES["_GNU_SOURCE"] = True
@@ -136,7 +139,7 @@
 
     DEFINES["_FORTIFY_SOURCE"] = "2"
 
-if not CONFIG["MOZ_DEBUG"] and CONFIG["OS_TARGET"] == "Linux":
+if not CONFIG["MOZ_DEBUG"] and (CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD"):
 
     DEFINES["_FORTIFY_SOURCE"] = "2"
 
@@ -152,7 +155,7 @@
 
     DEFINES["_DEBUG"] = True
 
-if CONFIG["MOZ_DEBUG"] == "1" and CONFIG["OS_TARGET"] == "Linux":
+if CONFIG["MOZ_DEBUG"] == "1" and (CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD"):
 
     DEFINES["_DEBUG"] = True
 
@@ -186,4 +189,13 @@
 
     DEFINES["CR_SYSROOT_HASH"] = "5f64b417e1018dcf8fcc81dc2714e0f264b9b911"
 
+if CONFIG["CPU_ARCH"] == "x86":
+    CFLAGS += [
+        "-msse2"
+    ]
+
+    CXXFLAGS += [
+        "-msse2"
+    ]
+
 Library("callfactory_api_gn")
diff -ur firefox-101.0.1.orig/third_party/libwebrtc/api/crypto/frame_decryptor_interface_gn/moz.build firefox-101.0.1/third_party/libwebrtc/api/crypto/frame_decryptor_interface_gn/moz.build
--- third_party/libwebrtc/api/crypto/frame_decryptor_interface_gn/moz.build	2022-06-08 23:10:31.000000000 +0900
_+++ third_party/libwebrtc/api/crypto/frame_decryptor_interface_gn/moz.build	2022-06-12 05:56:24.445152207 +0900
@@ -63,14 +63,17 @@
     DEFINES["__STDC_CONSTANT_MACROS"] = True
     DEFINES["__STDC_FORMAT_MACROS"] = True
 
-if CONFIG["OS_TARGET"] == "Linux":
+if CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD":
 
     DEFINES["USE_AURA"] = "1"
     DEFINES["USE_GLIB"] = "1"
     DEFINES["USE_NSS_CERTS"] = "1"
     DEFINES["USE_OZONE"] = "1"
     DEFINES["USE_UDEV"] = True
-    DEFINES["WEBRTC_LINUX"] = True
+    if CONFIG["OS_TARGET"] == "Linux":
+        DEFINES["WEBRTC_LINUX"] = True
+    else:
+        DEFINES["WEBRTC_BSD"] = True
     DEFINES["WEBRTC_POSIX"] = True
     DEFINES["_FILE_OFFSET_BITS"] = "64"
     DEFINES["_GNU_SOURCE"] = True
@@ -140,7 +143,7 @@
 
     DEFINES["_FORTIFY_SOURCE"] = "2"
 
-if not CONFIG["MOZ_DEBUG"] and CONFIG["OS_TARGET"] == "Linux":
+if not CONFIG["MOZ_DEBUG"] and (CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD"):
 
     DEFINES["_FORTIFY_SOURCE"] = "2"
 
@@ -156,7 +159,7 @@
 
     DEFINES["_DEBUG"] = True
 
-if CONFIG["MOZ_DEBUG"] == "1" and CONFIG["OS_TARGET"] == "Linux":
+if CONFIG["MOZ_DEBUG"] == "1" and (CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD"):
 
     DEFINES["_DEBUG"] = True
 
@@ -190,4 +193,13 @@
 
     DEFINES["CR_SYSROOT_HASH"] = "5f64b417e1018dcf8fcc81dc2714e0f264b9b911"
 
+if CONFIG["CPU_ARCH"] == "x86":
+    CFLAGS += [
+        "-msse2"
+    ]
+
+    CXXFLAGS += [
+        "-msse2"
+    ]
+
 Library("frame_decryptor_interface_gn")
diff -ur firefox-101.0.1.orig/third_party/libwebrtc/api/crypto/frame_encryptor_interface_gn/moz.build firefox-101.0.1/third_party/libwebrtc/api/crypto/frame_encryptor_interface_gn/moz.build
--- third_party/libwebrtc/api/crypto/frame_encryptor_interface_gn/moz.build	2022-06-08 23:10:31.000000000 +0900
_+++ third_party/libwebrtc/api/crypto/frame_encryptor_interface_gn/moz.build	2022-06-12 05:56:24.442299811 +0900
@@ -63,14 +63,17 @@
     DEFINES["__STDC_CONSTANT_MACROS"] = True
     DEFINES["__STDC_FORMAT_MACROS"] = True
 
-if CONFIG["OS_TARGET"] == "Linux":
+if CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD":
 
     DEFINES["USE_AURA"] = "1"
     DEFINES["USE_GLIB"] = "1"
     DEFINES["USE_NSS_CERTS"] = "1"
     DEFINES["USE_OZONE"] = "1"
     DEFINES["USE_UDEV"] = True
-    DEFINES["WEBRTC_LINUX"] = True
+    if CONFIG["OS_TARGET"] == "Linux":
+        DEFINES["WEBRTC_LINUX"] = True
+    else:
+        DEFINES["WEBRTC_BSD"] = True
     DEFINES["WEBRTC_POSIX"] = True
     DEFINES["_FILE_OFFSET_BITS"] = "64"
     DEFINES["_GNU_SOURCE"] = True
@@ -140,7 +143,7 @@
 
     DEFINES["_FORTIFY_SOURCE"] = "2"
 
-if not CONFIG["MOZ_DEBUG"] and CONFIG["OS_TARGET"] == "Linux":
+if not CONFIG["MOZ_DEBUG"] and (CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD"):
 
     DEFINES["_FORTIFY_SOURCE"] = "2"
 
@@ -156,7 +159,7 @@
 
     DEFINES["_DEBUG"] = True
 
-if CONFIG["MOZ_DEBUG"] == "1" and CONFIG["OS_TARGET"] == "Linux":
+if CONFIG["MOZ_DEBUG"] == "1" and (CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD"):
 
     DEFINES["_DEBUG"] = True
 
@@ -190,4 +193,13 @@
 
     DEFINES["CR_SYSROOT_HASH"] = "5f64b417e1018dcf8fcc81dc2714e0f264b9b911"
 
+if CONFIG["CPU_ARCH"] == "x86":
+    CFLAGS += [
+        "-msse2"
+    ]
+
+    CXXFLAGS += [
+        "-msse2"
+    ]
+
 Library("frame_encryptor_interface_gn")
diff -ur firefox-101.0.1.orig/third_party/libwebrtc/api/crypto/options_gn/moz.build firefox-101.0.1/third_party/libwebrtc/api/crypto/options_gn/moz.build
--- third_party/libwebrtc/api/crypto/options_gn/moz.build	2022-06-08 23:10:31.000000000 +0900
_+++ third_party/libwebrtc/api/crypto/options_gn/moz.build	2022-06-12 05:56:24.443735251 +0900
@@ -68,14 +68,17 @@
     DEFINES["__STDC_CONSTANT_MACROS"] = True
     DEFINES["__STDC_FORMAT_MACROS"] = True
 
-if CONFIG["OS_TARGET"] == "Linux":
+if CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD":
 
     DEFINES["USE_AURA"] = "1"
     DEFINES["USE_GLIB"] = "1"
     DEFINES["USE_NSS_CERTS"] = "1"
     DEFINES["USE_OZONE"] = "1"
     DEFINES["USE_UDEV"] = True
-    DEFINES["WEBRTC_LINUX"] = True
+    if CONFIG["OS_TARGET"] == "Linux":
+        DEFINES["WEBRTC_LINUX"] = True
+    else:
+        DEFINES["WEBRTC_BSD"] = True
     DEFINES["WEBRTC_POSIX"] = True
     DEFINES["_FILE_OFFSET_BITS"] = "64"
     DEFINES["_GNU_SOURCE"] = True
@@ -161,7 +164,7 @@
 
     DEFINES["_FORTIFY_SOURCE"] = "2"
 
-if not CONFIG["MOZ_DEBUG"] and CONFIG["OS_TARGET"] == "Linux":
+if not CONFIG["MOZ_DEBUG"] and (CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD"):
 
     DEFINES["_FORTIFY_SOURCE"] = "2"
 
@@ -177,7 +180,7 @@
 
     DEFINES["_DEBUG"] = True
 
-if CONFIG["MOZ_DEBUG"] == "1" and CONFIG["OS_TARGET"] == "Linux":
+if CONFIG["MOZ_DEBUG"] == "1" and (CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD"):
 
     DEFINES["_DEBUG"] = True
 
@@ -219,4 +222,13 @@
 
     DEFINES["CR_SYSROOT_HASH"] = "5f64b417e1018dcf8fcc81dc2714e0f264b9b911"
 
+if CONFIG["CPU_ARCH"] == "x86":
+    CFLAGS += [
+        "-msse2"
+    ]
+
+    CXXFLAGS += [
+        "-msse2"
+    ]
+
 Library("options_gn")
diff -ur firefox-101.0.1.orig/third_party/libwebrtc/api/fec_controller_api_gn/moz.build firefox-101.0.1/third_party/libwebrtc/api/fec_controller_api_gn/moz.build
--- third_party/libwebrtc/api/fec_controller_api_gn/moz.build	2022-06-08 23:10:31.000000000 +0900
_+++ third_party/libwebrtc/api/fec_controller_api_gn/moz.build	2022-06-12 05:56:24.358631890 +0900
@@ -59,14 +59,17 @@
     DEFINES["__STDC_CONSTANT_MACROS"] = True
     DEFINES["__STDC_FORMAT_MACROS"] = True
 
-if CONFIG["OS_TARGET"] == "Linux":
+if CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD":
 
     DEFINES["USE_AURA"] = "1"
     DEFINES["USE_GLIB"] = "1"
     DEFINES["USE_NSS_CERTS"] = "1"
     DEFINES["USE_OZONE"] = "1"
     DEFINES["USE_UDEV"] = True
-    DEFINES["WEBRTC_LINUX"] = True
+    if CONFIG["OS_TARGET"] == "Linux":
+        DEFINES["WEBRTC_LINUX"] = True
+    else:
+        DEFINES["WEBRTC_BSD"] = True
     DEFINES["WEBRTC_POSIX"] = True
     DEFINES["_FILE_OFFSET_BITS"] = "64"
     DEFINES["_GNU_SOURCE"] = True
@@ -136,7 +139,7 @@
 
     DEFINES["_FORTIFY_SOURCE"] = "2"
 
-if not CONFIG["MOZ_DEBUG"] and CONFIG["OS_TARGET"] == "Linux":
+if not CONFIG["MOZ_DEBUG"] and (CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD"):
 
     DEFINES["_FORTIFY_SOURCE"] = "2"
 
@@ -152,7 +155,7 @@
 
     DEFINES["_DEBUG"] = True
 
-if CONFIG["MOZ_DEBUG"] == "1" and CONFIG["OS_TARGET"] == "Linux":
+if CONFIG["MOZ_DEBUG"] == "1" and (CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD"):
 
     DEFINES["_DEBUG"] = True
 
@@ -186,4 +189,13 @@
 
     DEFINES["CR_SYSROOT_HASH"] = "5f64b417e1018dcf8fcc81dc2714e0f264b9b911"
 
+if CONFIG["CPU_ARCH"] == "x86":
+    CFLAGS += [
+        "-msse2"
+    ]
+
+    CXXFLAGS += [
+        "-msse2"
+    ]
+
 Library("fec_controller_api_gn")
diff -ur firefox-101.0.1.orig/third_party/libwebrtc/api/frame_transformer_interface_gn/moz.build firefox-101.0.1/third_party/libwebrtc/api/frame_transformer_interface_gn/moz.build
--- third_party/libwebrtc/api/frame_transformer_interface_gn/moz.build	2022-06-08 23:10:31.000000000 +0900
_+++ third_party/libwebrtc/api/frame_transformer_interface_gn/moz.build	2022-06-12 05:56:24.453730935 +0900
@@ -64,14 +64,17 @@
     DEFINES["__STDC_CONSTANT_MACROS"] = True
     DEFINES["__STDC_FORMAT_MACROS"] = True
 
-if CONFIG["OS_TARGET"] == "Linux":
+if CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD":
 
     DEFINES["USE_AURA"] = "1"
     DEFINES["USE_GLIB"] = "1"
     DEFINES["USE_NSS_CERTS"] = "1"
     DEFINES["USE_OZONE"] = "1"
     DEFINES["USE_UDEV"] = True
-    DEFINES["WEBRTC_LINUX"] = True
+    if CONFIG["OS_TARGET"] == "Linux":
+        DEFINES["WEBRTC_LINUX"] = True
+    else:
+        DEFINES["WEBRTC_BSD"] = True
     DEFINES["WEBRTC_POSIX"] = True
     DEFINES["_FILE_OFFSET_BITS"] = "64"
     DEFINES["_GNU_SOURCE"] = True
@@ -153,7 +156,7 @@
 
     DEFINES["_FORTIFY_SOURCE"] = "2"
 
-if not CONFIG["MOZ_DEBUG"] and CONFIG["OS_TARGET"] == "Linux":
+if not CONFIG["MOZ_DEBUG"] and (CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD"):
 
     DEFINES["_FORTIFY_SOURCE"] = "2"
 
@@ -169,7 +172,7 @@
 
     DEFINES["_DEBUG"] = True
 
-if CONFIG["MOZ_DEBUG"] == "1" and CONFIG["OS_TARGET"] == "Linux":
+if CONFIG["MOZ_DEBUG"] == "1" and (CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD"):
 
     DEFINES["_DEBUG"] = True
 
@@ -203,4 +206,13 @@
 
     DEFINES["CR_SYSROOT_HASH"] = "5f64b417e1018dcf8fcc81dc2714e0f264b9b911"
 
+if CONFIG["CPU_ARCH"] == "x86":
+    CFLAGS += [
+        "-msse2"
+    ]
+
+    CXXFLAGS += [
+        "-msse2"
+    ]
+
 Library("frame_transformer_interface_gn")
diff -ur firefox-101.0.1.orig/third_party/libwebrtc/api/function_view_gn/moz.build firefox-101.0.1/third_party/libwebrtc/api/function_view_gn/moz.build
--- third_party/libwebrtc/api/function_view_gn/moz.build	2022-06-08 23:10:31.000000000 +0900
_+++ third_party/libwebrtc/api/function_view_gn/moz.build	2022-06-12 05:56:24.455146629 +0900
@@ -63,14 +63,17 @@
     DEFINES["__STDC_CONSTANT_MACROS"] = True
     DEFINES["__STDC_FORMAT_MACROS"] = True
 
-if CONFIG["OS_TARGET"] == "Linux":
+if CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD":
 
     DEFINES["USE_AURA"] = "1"
     DEFINES["USE_GLIB"] = "1"
     DEFINES["USE_NSS_CERTS"] = "1"
     DEFINES["USE_OZONE"] = "1"
     DEFINES["USE_UDEV"] = True
-    DEFINES["WEBRTC_LINUX"] = True
+    if CONFIG["OS_TARGET"] == "Linux":
+        DEFINES["WEBRTC_LINUX"] = True
+    else:
+        DEFINES["WEBRTC_BSD"] = True
     DEFINES["WEBRTC_POSIX"] = True
     DEFINES["_FILE_OFFSET_BITS"] = "64"
     DEFINES["_GNU_SOURCE"] = True
@@ -140,7 +143,7 @@
 
     DEFINES["_FORTIFY_SOURCE"] = "2"
 
-if not CONFIG["MOZ_DEBUG"] and CONFIG["OS_TARGET"] == "Linux":
+if not CONFIG["MOZ_DEBUG"] and (CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD"):
 
     DEFINES["_FORTIFY_SOURCE"] = "2"
 
@@ -156,7 +159,7 @@
 
     DEFINES["_DEBUG"] = True
 
-if CONFIG["MOZ_DEBUG"] == "1" and CONFIG["OS_TARGET"] == "Linux":
+if CONFIG["MOZ_DEBUG"] == "1" and (CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD"):
 
     DEFINES["_DEBUG"] = True
 
@@ -190,4 +193,13 @@
 
     DEFINES["CR_SYSROOT_HASH"] = "5f64b417e1018dcf8fcc81dc2714e0f264b9b911"
 
+if CONFIG["CPU_ARCH"] == "x86":
+    CFLAGS += [
+        "-msse2"
+    ]
+
+    CXXFLAGS += [
+        "-msse2"
+    ]
+
 Library("function_view_gn")
diff -ur firefox-101.0.1.orig/third_party/libwebrtc/api/libjingle_logging_api_gn/moz.build firefox-101.0.1/third_party/libwebrtc/api/libjingle_logging_api_gn/moz.build
--- third_party/libwebrtc/api/libjingle_logging_api_gn/moz.build	2022-06-08 23:10:31.000000000 +0900
_+++ third_party/libwebrtc/api/libjingle_logging_api_gn/moz.build	2022-06-12 05:56:24.375787643 +0900
@@ -59,14 +59,17 @@
     DEFINES["__STDC_CONSTANT_MACROS"] = True
     DEFINES["__STDC_FORMAT_MACROS"] = True
 
-if CONFIG["OS_TARGET"] == "Linux":
+if CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD":
 
     DEFINES["USE_AURA"] = "1"
     DEFINES["USE_GLIB"] = "1"
     DEFINES["USE_NSS_CERTS"] = "1"
     DEFINES["USE_OZONE"] = "1"
     DEFINES["USE_UDEV"] = True
-    DEFINES["WEBRTC_LINUX"] = True
+    if CONFIG["OS_TARGET"] == "Linux":
+        DEFINES["WEBRTC_LINUX"] = True
+    else:
+        DEFINES["WEBRTC_BSD"] = True
     DEFINES["WEBRTC_POSIX"] = True
     DEFINES["_FILE_OFFSET_BITS"] = "64"
     DEFINES["_GNU_SOURCE"] = True
@@ -136,7 +139,7 @@
 
     DEFINES["_FORTIFY_SOURCE"] = "2"
 
-if not CONFIG["MOZ_DEBUG"] and CONFIG["OS_TARGET"] == "Linux":
+if not CONFIG["MOZ_DEBUG"] and (CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD"):
 
     DEFINES["_FORTIFY_SOURCE"] = "2"
 
@@ -152,7 +155,7 @@
 
     DEFINES["_DEBUG"] = True
 
-if CONFIG["MOZ_DEBUG"] == "1" and CONFIG["OS_TARGET"] == "Linux":
+if CONFIG["MOZ_DEBUG"] == "1" and (CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD"):
 
     DEFINES["_DEBUG"] = True
 
@@ -186,4 +189,13 @@
 
     DEFINES["CR_SYSROOT_HASH"] = "5f64b417e1018dcf8fcc81dc2714e0f264b9b911"
 
+if CONFIG["CPU_ARCH"] == "x86":
+    CFLAGS += [
+        "-msse2"
+    ]
+
+    CXXFLAGS += [
+        "-msse2"
+    ]
+
 Library("jingle_logging_api_gn")
diff -ur firefox-101.0.1.orig/third_party/libwebrtc/api/media_stream_interface_gn/moz.build firefox-101.0.1/third_party/libwebrtc/api/media_stream_interface_gn/moz.build
--- third_party/libwebrtc/api/media_stream_interface_gn/moz.build	2022-06-08 23:10:31.000000000 +0900
_+++ third_party/libwebrtc/api/media_stream_interface_gn/moz.build	2022-06-12 05:56:24.377227812 +0900
@@ -67,14 +67,17 @@
     DEFINES["__STDC_CONSTANT_MACROS"] = True
     DEFINES["__STDC_FORMAT_MACROS"] = True
 
-if CONFIG["OS_TARGET"] == "Linux":
+if CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD":
 
     DEFINES["USE_AURA"] = "1"
     DEFINES["USE_GLIB"] = "1"
     DEFINES["USE_NSS_CERTS"] = "1"
     DEFINES["USE_OZONE"] = "1"
     DEFINES["USE_UDEV"] = True
-    DEFINES["WEBRTC_LINUX"] = True
+    if CONFIG["OS_TARGET"] == "Linux":
+        DEFINES["WEBRTC_LINUX"] = True
+    else:
+        DEFINES["WEBRTC_BSD"] = True
     DEFINES["WEBRTC_POSIX"] = True
     DEFINES["_FILE_OFFSET_BITS"] = "64"
     DEFINES["_GNU_SOURCE"] = True
@@ -152,7 +155,7 @@
 
     DEFINES["_FORTIFY_SOURCE"] = "2"
 
-if not CONFIG["MOZ_DEBUG"] and CONFIG["OS_TARGET"] == "Linux":
+if not CONFIG["MOZ_DEBUG"] and (CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD"):
 
     DEFINES["_FORTIFY_SOURCE"] = "2"
 
@@ -168,7 +171,7 @@
 
     DEFINES["_DEBUG"] = True
 
-if CONFIG["MOZ_DEBUG"] == "1" and CONFIG["OS_TARGET"] == "Linux":
+if CONFIG["MOZ_DEBUG"] == "1" and (CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD"):
 
     DEFINES["_DEBUG"] = True
 
@@ -210,4 +213,13 @@
 
     DEFINES["CR_SYSROOT_HASH"] = "5f64b417e1018dcf8fcc81dc2714e0f264b9b911"
 
+if CONFIG["CPU_ARCH"] == "x86":
+    CFLAGS += [
+        "-msse2"
+    ]
+
+    CXXFLAGS += [
+        "-msse2"
+    ]
+
 Library("media_stream_interface_gn")
diff -ur firefox-101.0.1.orig/third_party/libwebrtc/api/neteq/default_neteq_controller_factory_gn/moz.build firefox-101.0.1/third_party/libwebrtc/api/neteq/default_neteq_controller_factory_gn/moz.build
--- third_party/libwebrtc/api/neteq/default_neteq_controller_factory_gn/moz.build	2022-06-08 23:10:31.000000000 +0900
_+++ third_party/libwebrtc/api/neteq/default_neteq_controller_factory_gn/moz.build	2022-06-12 05:56:24.446583359 +0900
@@ -67,14 +67,17 @@
     DEFINES["__STDC_CONSTANT_MACROS"] = True
     DEFINES["__STDC_FORMAT_MACROS"] = True
 
-if CONFIG["OS_TARGET"] == "Linux":
+if CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD":
 
     DEFINES["USE_AURA"] = "1"
     DEFINES["USE_GLIB"] = "1"
     DEFINES["USE_NSS_CERTS"] = "1"
     DEFINES["USE_OZONE"] = "1"
     DEFINES["USE_UDEV"] = True
-    DEFINES["WEBRTC_LINUX"] = True
+    if CONFIG["OS_TARGET"] == "Linux":
+        DEFINES["WEBRTC_LINUX"] = True
+    else:
+        DEFINES["WEBRTC_BSD"] = True
     DEFINES["WEBRTC_POSIX"] = True
     DEFINES["_FILE_OFFSET_BITS"] = "64"
     DEFINES["_GNU_SOURCE"] = True
@@ -159,7 +162,7 @@
 
     DEFINES["_FORTIFY_SOURCE"] = "2"
 
-if not CONFIG["MOZ_DEBUG"] and CONFIG["OS_TARGET"] == "Linux":
+if not CONFIG["MOZ_DEBUG"] and (CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD"):
 
     DEFINES["_FORTIFY_SOURCE"] = "2"
 
@@ -175,7 +178,7 @@
 
     DEFINES["_DEBUG"] = True
 
-if CONFIG["MOZ_DEBUG"] == "1" and CONFIG["OS_TARGET"] == "Linux":
+if CONFIG["MOZ_DEBUG"] == "1" and (CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD"):
 
     DEFINES["_DEBUG"] = True
 
@@ -217,4 +220,13 @@
 
     DEFINES["CR_SYSROOT_HASH"] = "5f64b417e1018dcf8fcc81dc2714e0f264b9b911"
 
+if CONFIG["CPU_ARCH"] == "x86":
+    CFLAGS += [
+        "-msse2"
+    ]
+
+    CXXFLAGS += [
+        "-msse2"
+    ]
+
 Library("default_neteq_controller_factory_gn")
diff -ur firefox-101.0.1.orig/third_party/libwebrtc/api/neteq/neteq_api_gn/moz.build firefox-101.0.1/third_party/libwebrtc/api/neteq/neteq_api_gn/moz.build
--- third_party/libwebrtc/api/neteq/neteq_api_gn/moz.build	2022-06-08 23:10:31.000000000 +0900
_+++ third_party/libwebrtc/api/neteq/neteq_api_gn/moz.build	2022-06-12 05:56:24.450875874 +0900
@@ -67,14 +67,17 @@
     DEFINES["__STDC_CONSTANT_MACROS"] = True
     DEFINES["__STDC_FORMAT_MACROS"] = True
 
-if CONFIG["OS_TARGET"] == "Linux":
+if CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD":
 
     DEFINES["USE_AURA"] = "1"
     DEFINES["USE_GLIB"] = "1"
     DEFINES["USE_NSS_CERTS"] = "1"
     DEFINES["USE_OZONE"] = "1"
     DEFINES["USE_UDEV"] = True
-    DEFINES["WEBRTC_LINUX"] = True
+    if CONFIG["OS_TARGET"] == "Linux":
+        DEFINES["WEBRTC_LINUX"] = True
+    else:
+        DEFINES["WEBRTC_BSD"] = True
     DEFINES["WEBRTC_POSIX"] = True
     DEFINES["_FILE_OFFSET_BITS"] = "64"
     DEFINES["_GNU_SOURCE"] = True
@@ -159,7 +162,7 @@
 
     DEFINES["_FORTIFY_SOURCE"] = "2"
 
-if not CONFIG["MOZ_DEBUG"] and CONFIG["OS_TARGET"] == "Linux":
+if not CONFIG["MOZ_DEBUG"] and (CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD"):
 
     DEFINES["_FORTIFY_SOURCE"] = "2"
 
@@ -175,7 +178,7 @@
 
     DEFINES["_DEBUG"] = True
 
-if CONFIG["MOZ_DEBUG"] == "1" and CONFIG["OS_TARGET"] == "Linux":
+if CONFIG["MOZ_DEBUG"] == "1" and (CONFIG["OS_TARGET"] == "Linux" or CONFIG["OS_TARGET"] == "NetBSD" or CONFIG["OS_TARGET"] == "OpenBSD" or CONFIG["OS_TARGET"] == "FreeBSD"):
 
     DEFINES["_DEBUG"] = True
 
@@ -217,4 +220,13 @@
 
     DEFINES["CR_SYSROOT_HASH"] = "5f64b417e1018dcf8fcc81dc2714e0f264b9b911"
 
+if CONFIG["CPU_ARCH"] == "x86":
+    CFLAGS += [
+        "-msse2"
+    ]
+
+    CXXFLAGS += [
+        "-msse2"
+    ]
+
 Library("neteq_api_gn")
